Skip to content

@rwbaumg rwbaumg released this Jul 10, 2019

  • Fix bug in x509lint submodule compilation.
  • Minor updates.
Assets 5

@rwbaumg rwbaumg released this Jun 27, 2019 · 5 commits to github since this release

  • Updated x509lint submodule
Assets 5

@rwbaumg rwbaumg released this Jun 14, 2019 · 7 commits to github since this release

  • Updated submodules
  • Various bugfixes + usability improvements.
Assets 5

@rwbaumg rwbaumg released this May 15, 2019 · 15 commits to github since this release

This is a stable release version 1.0.3 of the pki-lint utility.

This release includes fixes for all known issues, as well as corrections for all warnings found by automated source code linting (via shellcheck). The TODO.md file contains a list of some specific changes made since the last release.

Assets 5

@rwbaumg rwbaumg released this Apr 20, 2019 · 129 commits to github since this release

This is a bugfix release for the x509lint module.

Everything else is unchanged from v1.0.1

Assets 5

@rwbaumg rwbaumg released this Apr 20, 2019 · 131 commits to github since this release

First stable release; includes compiled binaries for 64-bit Linux along with updated scripts.

Assets 5
Pre-release
Pre-release

@rwbaumg rwbaumg released this Apr 17, 2019 · 171 commits to github since this release

This marks the first release of the pki-lint framework in compiled form.

Expect issues with this release! For example, the following issues are currently known:

  • x509lint depends on libcrypto.so (provided by libssl), which is not included in this archive. As a result, this release will only support operating systems with libcrypto.so.1.1 in their library path.
  • The installed Ruby version is not checked, so AWS certlint and cablint tools may fail if the installed version is too old. Running build.sh will validate the installed Ruby version for you, and install it if needed on Debian and Debian-based systems with APT installed.

In order to install dependencies, it is recommended to run build.sh before lint.sh. Alternatively, you can install missing packages as requested by the lint.sh script.

Future releases will include fixes for the packaging, so that the script can run all checks on any 64-bit Linux without having to install any additional packages at all.

Please file issues for any problems you encounter not mentioned above, or for any general feedback.

Assets 5
You can’t perform that action at this time.